Get summary
curl --request POST \
--url https://api1.irisagent.com/v1/summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversationId": "<string>",
"subject": "<string>",
"description": "<string>",
"comments": [
{
"comment": "<string>"
}
],
"format": "markdown"
}
'import requests
url = "https://api1.irisagent.com/v1/summary"
payload = {
"conversationId": "<string>",
"subject": "<string>",
"description": "<string>",
"comments": [{ "comment": "<string>" }],
"format": "markdown"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversationId: '<string>',
subject: '<string>',
description: '<string>',
comments: [{comment: '<string>'}],
format: 'markdown'
})
};
fetch('https://api1.irisagent.com/v1/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"format": "markdown",
"summary": "<string>"
}{
"error": "<string>",
"code": 123,
"status": "<string>"
}{
"error": "<string>",
"code": 123,
"status": "<string>"
}{
"error": "<string>",
"code": 123,
"status": "<string>"
}{
"error": "<string>",
"code": 123,
"status": "<string>"
}{
"error": "<string>",
"code": 123,
"status": "<string>"
}{
"error": "<string>",
"code": 123,
"status": "<string>"
}API Reference
Get summary
Get an AI-powered summary of your support conversation or ticket
POST
/
v1
/
summary
Get summary
Authorizations
The Authorization header is required to authenticate API requests.
It should contain a bearer token obtained through the IrisAgent portal.
Headers
This optional header allows you to specify the desired language. If not provided, automatic language detection will be used.
Body
application/json
Unique ticket or chat id
Initial query by the customer
Details on the initial query by the customer
Array of messages between customer and agent
Show child attributes
Show child attributes
Available options:
markdown, html ⌘I